local BookMarkTemplate = BaseClass("BookMarkTemplate")
local __init = function(self)
  self.id = 0
  self.type = 0
  self.name = ""
  self.icon = ""
  self.prefab = ""
  self.mail_icon = nil
end
local __delete = function(self)
  self.id = nil
  self.type = nil
  self.name = nil
  self.icon = nil
  self.prefab = nil
  self.mail_icon = nil
end
local InitData = function(self, row)
  if row == nil then
    return
  end
  self.id = tonumber(row:getValue("id")) or 0
  self.type = tonumber(row:getValue("type")) or 0
  self.name = row:getValue("name")
  self.icon = row:getValue("icon")
  self.prefab = row:getValue("perfab")
  self.text = row:getValue("text")
  self.mail_icon = row:getValue("mail_icon")
end
BookMarkTemplate.__init = __init
BookMarkTemplate.__delete = __delete
BookMarkTemplate.InitData = InitData
return BookMarkTemplate
